Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletSessionImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletSessionImpl

All Implemented Interfaces:
  PortletSession

    public class PortletSessionImpl

extends java.lang.Object
implements PortletSession

Version:
  $Revision: 6697 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface javax.portlet.PortletSession
`APPLICATION_SCOPE, PORTLET_SCOPE`

Constructor Summary
`PortletSessionImpl(javax.servlet.http.HttpSession session, java.lang.String id, PortletContext context)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String s)` Returns the object bound with the specified name in this session under the `PORTLET_SCOPE`, or `null` if no object is bound under the name in that scope.
`java.lang.Object` | `getAttribute(java.lang.String s, int i)` Returns the object bound with the specified name in this session, or `null` if no object is bound under the name in the given scope.
`java.util.Map<java.lang.String,java.lang.Object>` | `getAttributeMap()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getAttributeMap(int i)`
`java.util.Enumeration<java.lang.String>` | `getAttributeNames()` Returns an `Enumeration` of String objects containing the names of all the objects bound to this session under the `PORTLET_SCOPE`, or an empty `Enumeration` if no attributes are available.
`java.util.Enumeration<java.lang.String>` | `getAttributeNames(int scope)` Returns an `Enumeration` of String objects containing the names of all the objects bound to this session in the given scope, or an empty `Enumeration` if no attributes are available in the given scope.
`long` | `getCreationTime()` Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.
`java.lang.String` | `getId()` Returns a string containing the unique identifier assigned to this session.
`long` | `getLastAccessedTime()` Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT.
`int` | `getMaxInactiveInterval()` Returns the maximum time interval, in seconds, for which the portlet container keeps this session open between client accesses.
`PortletContext` | `getPortletContext()` Returns the portlet application context associated with this session.
`void` | `invalidate()` Invalidates this session (all scopes) and unbinds any objects bound to it.
`boolean` | `isNew()` Returns true if the client does not yet know about the session or if the client chooses not to join the session.
`void` | `removeAttribute(java.lang.String s)` Removes the object bound with the specified name under the `PORTLET_SCOPE` from this session.
`void` | `removeAttribute(java.lang.String s, int i)` Removes the object bound with the specified name and the given scope from this session.
`void` | `setAttribute(java.lang.String s, java.lang.Object o)` Binds an object to this session under the `PORTLET_SCOPE`, using the name specified.
`void` | `setAttribute(java.lang.String s, java.lang.Object o, int i)` Binds an object to this session in the given scope, using the name specified.
`void` | `setMaxInactiveInterval(int i)` Specifies the time, in seconds, between client requests, before the portlet container invalidates this session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletSessionImpl

    public PortletSessionImpl(javax.servlet.http.HttpSession session,
                              java.lang.String id,
                              PortletContext context)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String s)

  Description copied from interface: `PortletSession`
  Returns the object bound with the specified name in this session under the `PORTLET_SCOPE`, or `null` if no object is bound under the name in that scope.

  Specified by:
    `getAttribute` in interface `PortletSession`
  Parameters:
    `s` - a string specifying the name of the object
  Returns:
    the object with the specified name for the `PORTLET_SCOPE`.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String s,
                                         int i)

  Description copied from interface: `PortletSession`
  Returns the object bound with the specified name in this session, or `null` if no object is bound under the name in the given scope.

  Specified by:
    `getAttribute` in interface `PortletSession`
  Parameters:
    `s` - a string specifying the name of the object
    `i` - session scope of this attribute
  Returns:
    the object with the specified name

### getAttributeNames

    public java.util.Enumeration<java.lang.String> getAttributeNames()

  Description copied from interface: `PortletSession`
  Returns an `Enumeration` of String objects containing the names of all the objects bound to this session under the `PORTLET_SCOPE`, or an empty `Enumeration` if no attributes are available.

  Specified by:
    `getAttributeNames` in interface `PortletSession`
  Returns:
    an `Enumeration` of `String` objects specifying the names of all the objects bound to this session, or an empty `Enumeration` if no attributes are available.

### getAttributeNames

    public java.util.Enumeration<java.lang.String> getAttributeNames(int scope)

  Description copied from interface: `PortletSession`
  Returns an `Enumeration` of String objects containing the names of all the objects bound to this session in the given scope, or an empty `Enumeration` if no attributes are available in the given scope.

  Specified by:
    `getAttributeNames` in interface `PortletSession`
  Parameters:
    `scope` - session scope of the attribute names
  Returns:
    an `Enumeration` of `String` objects specifying the names of all the objects bound to this session, or an empty `Enumeration` if no attributes are available in the given scope.

### getCreationTime

    public long getCreationTime()

  Description copied from interface: `PortletSession`
  Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.

  Specified by:
    `getCreationTime` in interface `PortletSession`
  Returns:
    a `long` specifying when this session was created, expressed in milliseconds since 1/1/1970 GMT

### getId

    public java.lang.String getId()

  Description copied from interface: `PortletSession`
  Returns a string containing the unique identifier assigned to this session.

  Specified by:
    `getId` in interface `PortletSession`
  Returns:
    a string specifying the identifier assigned to this session

### getLastAccessedTime

    public long getLastAccessedTime()

  Description copied from interface: `PortletSession`
  Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT.

  Actions that your portlet takes, such as getting or setting a value associated with the session, do not affect the access time.

  Specified by:
    `getLastAccessedTime` in interface `PortletSession`
  Returns:
    a `long` representing the last time the client sent a request associated with this session, expressed in milliseconds since 1/1/1970 GMT

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Description copied from interface: `PortletSession`
  Returns the maximum time interval, in seconds, for which the portlet container keeps this session open between client accesses. After this interval, the portlet container invalidates the session. The maximum time interval can be set with the `setMaxInactiveInterval` method. A negative time indicates the session should never timeout.

  Specified by:
    `getMaxInactiveInterval` in interface `PortletSession`
  Returns:
    an integer specifying the number of seconds this session remains open between client requests
  See Also:
    `PortletSession.setMaxInactiveInterval(int)`

### invalidate

    public void invalidate()

  Description copied from interface: `PortletSession`
  Invalidates this session (all scopes) and unbinds any objects bound to it.

  Invalidating the portlet session will result in invalidating the underlying `HttpSession`

  Specified by:
    `invalidate` in interface `PortletSession`

### isNew

    public boolean isNew()

  Description copied from interface: `PortletSession`
  Returns true if the client does not yet know about the session or if the client chooses not to join the session.

  Specified by:
    `isNew` in interface `PortletSession`
  Returns:
    `true` if the server has created a session, but the client has not joined yet.

### removeAttribute

    public void removeAttribute(java.lang.String s)

  Description copied from interface: `PortletSession`
  Removes the object bound with the specified name under the `PORTLET_SCOPE` from this session. If the session does not have an object bound with the specified name, this method does nothing.

  Specified by:
    `removeAttribute` in interface `PortletSession`
  Parameters:
    `s` - the name of the object to be removed from this session in the `PORTLET_SCOPE`.

### removeAttribute

    public void removeAttribute(java.lang.String s,
                                int i)

  Description copied from interface: `PortletSession`
  Removes the object bound with the specified name and the given scope from this session. If the session does not have an object bound with the specified name, this method does nothing.

  Specified by:
    `removeAttribute` in interface `PortletSession`
  Parameters:
    `s` - the name of the object to be removed from this session
    `i` - session scope of this attribute

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.Object o)

  Description copied from interface: `PortletSession`
  Binds an object to this session under the `PORTLET_SCOPE`, using the name specified. If an object of the same name in this scope is already bound to the session, that object is replaced.

  After this method has been executed, and if the new object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`. The container then notifies any `HttpSessionAttributeListeners` in the web application.

  If an object was already bound to this session that implements `HttpSessionBindingListener`, its `HttpSessionBindingListener.valueUnbound` method is called.

  If the value is `null`, this has the same effect as calling `removeAttribute()`.

  Specified by:
    `setAttribute` in interface `PortletSession`
  Parameters:
    `s` - the name to which the object is bound under the `PORTLET_SCOPE`; this cannot be `null`.
    `o` - the object to be bound

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.Object o,
                             int i)

  Description copied from interface: `PortletSession`
  Binds an object to this session in the given scope, using the name specified. If an object of the same name in this scope is already bound to the session, that object is replaced.

  After this method has been executed, and if the new object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`. The container then notifies any `HttpSessionAttributeListeners` in the web application.

  If an object was already bound to this session that implements `HttpSessionBindingListener`, its `HttpSessionBindingListener.valueUnbound` method is called.

  If the value is `null`, this has the same effect as calling `removeAttribute()`.

  Specified by:
    `setAttribute` in interface `PortletSession`
  Parameters:
    `s` - the name to which the object is bound; this cannot be `null`.
    `o` - the object to be bound
    `i` - session scope of this attribute

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int i)

  Description copied from interface: `PortletSession`
  Specifies the time, in seconds, between client requests, before the portlet container invalidates this session. A negative time indicates the session should never timeout.

  Specified by:
    `setMaxInactiveInterval` in interface `PortletSession`
  Parameters:
    `i` - An integer specifying the number of seconds

### getPortletContext

    public PortletContext getPortletContext()

  Description copied from interface: `PortletSession`
  Returns the portlet application context associated with this session.

  Specified by:
    `getPortletContext` in interface `PortletSession`
  Returns:
    the portlet application context

### getAttributeMap

    public java.util.Map<java.lang.String,java.lang.Object> getAttributeMap()

### getAttributeMap

    public java.util.Map<java.lang.String,java.lang.Object> getAttributeMap(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.